*{
    box-sizing:border-box;
 font-family: 'Manrope', sans-serif;
}
:root{
    --vividblue:#5893ad;
    --cyan:#0188c8;
}

/* NAVBAR */

.navbar{
    background:#ffffff;
    border-bottom:1px solid var(--vividblue);
    padding:15px 5%;
    display:flex;
    justify-content:space-between;
    align-items:center;
    position:sticky;
    top:0;
    z-index:1000;
}


.logo img{
    width:180px;
    height:auto;
}

.menu{
    display:flex;
    gap:40px;
    align-items:center;
}

.dropdown{
    position:relative;
}

.dropbtn{
    background:none;
    border:none;
    color:#0188c8;
    font-size:16px;
    font-weight:700;
    cursor:pointer;
    transition:.3s;
    padding:10px 0;
}

.dropbtn:hover{
    color:var(--cyan);
}

/* SUBMENU */

.dropdown-content{
    display:none;
    position:absolute;
    top:100%;
    left:0;
    min-width:220px;
    background:#5893ad;
    border:1px solid rgba(255, 255, 255, 0.2);
    border-radius:12px;
    overflow:hidden;
    box-shadow:0 10px 30px rgba(0,0,0,.4);
}

.dropdown-content a{
    display:block;
    padding:14px 18px;
    color:rgba(255, 255, 255, 0.826);
    text-decoration:none;
    transition:.3s;
}

.dropdown-content a:hover{
    background:#011d49;
    color:var(--cyan);
}

/* SOLO ESCRITORIO */

@media(min-width:769px){

    .dropdown:hover .dropdown-content{
        display:block;
    }

}

/* BOTON HAMBURGUESA */

.menu-toggle{
    display:none;
    background:none;
    border:none;
    color:white;
    font-size:30px;
    cursor:pointer;
}

/* MOVIL */

@media(max-width:768px){

    .menu-toggle{
        display:block;
        color: #000;
    }

    .menu{
        display:none;
        flex-direction:column;
        align-items:flex-start;
        gap:0;
        position:absolute;
        top:100%;
        left:0;
        width:100%;
        background:#ffffff;
        padding:20px;
        border-top:1px solid var(--vividblue);
    }

    .menu.active{
        display:flex;
    }

    .dropdown{
        width:100%;
        
    }

    .dropbtn{
        width:100%;
        text-align:left;
        padding:15px 0;
        border-bottom:1px solid rgba(255,255,255,.08);
    }

    .dropdown-content{
        display:none;
        position:static;
        width:100%;
        margin-top:5px;
        background:#5893ad;
        border:none;
        border-radius:10px;
        box-shadow:none;
    }

    .dropdown.active .dropdown-content{
        display:block;
    }

    .dropdown-content a{
        padding:12px 15px;
        color: #ffffff;
    }

}

/* Portafolio */
.portaflionav a {
    display: inline-block;
    padding: 8px 22px;
    background-color:#0b3e90;
    color: #ffffff !important;
    font-size: 16px;
    font-weight: 700;
    text-decoration: none;
    border-radius: 50px;
    transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    border: 2px solid var(--vividblue);
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

.portaflionav a:hover {
    background-color: transparent;
    color: var(--vividblue) !important;
    transform: translateY(-2px);
    box-shadow: 0 6px 15px rgba(5, 129, 211, 0.25);
}

@media(max-width: 768px) {
    .portaflionav {
        width: 100%;
        margin-top: 10px;
    }

    .portaflionav a {
        display: block;
        text-align: center;
        background-color: transparent;
        border: 2px solid var(--vividblue);
        color: var(--vividblue) !important;
    }

    .portaflionav a:hover {
        background-color: var(--vividblue);
        color: #ffffff !important;
    }
}